# prepared_statement.hxx File Reference

`#include "pqxx/compiler-public.hxx"`
`#include "pqxx/compiler-internal-pre.hxx"`
`#include "pqxx/util"`
`#include "pqxx/compiler-internal-post.hxx"`

Include dependency graph for prepared_statement.hxx:

Go to the source code of this file.

## Namespaces

namespace | pqxx
namespace | pqxx::prepare
namespace | pqxx::prepare::internal

## Classes

class | pqxx::prepare::declaration
| Helper class for declaring parameters to prepared statements. More...
class | pqxx::prepare::invocation
| Helper class for passing parameters to, and executing, prepared statements. More...
struct | pqxx::prepare::internal::prepared_def
| Internal representation of a prepared statement definition. More...
struct | pqxx::prepare::internal::prepared_def::param
| Parameter definition. More...
struct | pqxx::prepare::internal::get_sqltype
| Utility functor: get prepared-statement parameter's SQL type string. More...

## Enumerations

enum | pqxx::prepare::param_treatment { pqxx::prepare::treat_binary, pqxx::prepare::treat_string, pqxx::prepare::treat_bool, pqxx::prepare::treat_direct }
| Type of treatment of a particular parameter to a prepared statement. More...